import { Body, Controller, Post } from '@nestjs/common';
import { AuthService } from './auth.service';
import { AuthLoginOperadorDto } from './dto/auth-login-operador.dto';
import { AuthLoginUsuarioDto } from './dto/auth-login-usuario.dto';

@Controller('auth')
export class AuthController {
  constructor(private authService: AuthService) {}

  @Post('login_operador')
  loginOperador(@Body() body: AuthLoginOperadorDto) {
    return this.authService.loginOperador(
      Number(body.id_institucion),
      Number(body.id_modulo),
      body.operador,
      body.password,
    );
  }

  @Post('login_usuario')
  loginUsuario(@Body() body: AuthLoginUsuarioDto) {
    return this.authService.loginUsuario(body.usuario, body.password);
  }
}
