import { Controller, Get, Query } from '@nestjs/common';
import { CarreraService } from './carrera.service';
import { CarritoGetDto } from './dto/carrera-get-dto';

@Controller('carrera')
export class CarreraController {
  constructor(private carreraService: CarreraService) {}

  @Get('carreras')
  carreras(@Query() query: CarritoGetDto) {
    return this.carreraService.findAllByIdInstitucion(Number(query.id_institucion));
  }

  @Get('carrera')
  carrera(@Query() query: CarritoGetDto) {
    return this.carreraService.findById(Number(query.id_carrera));
  }
}
