import { Injectable, NotFoundException } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { Carrera } from './entity/carrera.entity';
import { InstitucionService } from '../institucion/institucion.service';
import { Institucion } from 'src/institucion/entity/institucion.entity';

@Injectable()
export class CarreraService {
  constructor(
    @InjectRepository(Carrera) private repository: Repository<Carrera>,
    private institucionService: InstitucionService,
  ) { }

  findAllByIdInstitucion(id_institucion: number) {
    return this.institucionService
      .findById(id_institucion)
    .then((institucion) => this.repository.find({institucion}))
  }

  findById(id_carrera: number) {
    return this.repository.findOne({ id_carrera }).then((carrera) => {
      if (!carrera) throw new NotFoundException('No existe esta carrera.');
      return carrera;
    });
  }
}
