import { Body, Controller, Get, Post, Put, Query } from '@nestjs/common';
import { CarritoService } from './carrito.service';
import { CarritoCreateDto } from './dto/carrito-create.dto';
import { CarritoUpdateDto } from './dto/carrito-update.dto';
import { CarritoGetDto } from './dto/carrito-get-dto';
import { CarritoDto } from './dto/carrito.dto'

@Controller('carrito')
export class CarritoController {
  constructor(private carritoService: CarritoService) {}

  @Post()
  create(@Body() body: CarritoCreateDto) {
    return this.carritoService.create(
      body.id_tipo_carrito,
      body.id_modulo,
    );
  }

  @Get()
  get() {
    return this.carritoService.findAll();
  }

  @Get('carrito')
  carrito(@Query() query: CarritoDto) {
    return this.carritoService.findById(Number(query.id_carrito));
  }

  @Get('carritos')
  carritos(@Query() query: CarritoGetDto) {
    return this.carritoService.findByIdModulo(query);
  }

  @Get('carritoInstitucion')
  carritosInstitucion() {}

  @Put()
  update(@Body() body: CarritoUpdateDto) {
    return this.carritoService.update(body);
  }
}
