import {
  Column,
  Entity,
  JoinColumn,
  ManyToOne,
  OneToMany,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { Equipo } from '../../equipo/entity/equipo.entity';
import { Modulo } from '../../modulo/entity/modulo.entity';
import { TipoCarrito } from '../../institucion-tipo-carrito/entity/tipo-carrito.entity';

@Entity()
export class Carrito {
  @PrimaryGeneratedColumn()
  id_carrito: number;

  @Column({ type: Boolean, nullable: false, default: false })
  activo: boolean;

  @Column({ type: String, nullable: false, length: 4 })
  carrito: string;

  @ManyToOne(() => Modulo, (modulo) => modulo.carritos)
  @JoinColumn({ name: 'id_modulo' })
  modulo: Modulo;

  @ManyToOne(() => TipoCarrito, (tipoCarrito) => tipoCarrito.carritos)
  @JoinColumn({ name: 'id_tipo_carrito' })
  tipoCarrito: TipoCarrito;

  @OneToMany(() => Equipo, (equipo) => equipo.carrito)
  equipos: Equipo[];
}
