import { ConflictException, NotFoundException, Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { HoraExcepcion } from './entity/hora-excepcion.entity';
import { InstitucionDiaService } from '../institucion-dia/institucion-dia.service'

@Injectable()
export class HoraExcepcionService {
  constructor(
    @InjectRepository(HoraExcepcion)
    private repository: Repository<HoraExcepcion>,
    private institucionDiaService: InstitucionDiaService,
  ) { }

  async create(id_institucion_dia: number) {
    const institucionDia = await this.institucionDiaService.findById(id_institucion_dia)
    const nuevaHoraExcepcion = this.repository.create({institucionDia});

    return this.repository
      .findOne({institucionDia})
      .then((existeHoraExcepcion) => {
        if (existeHoraExcepcion) throw new ConflictException('Ya existe esta hora excepción')
        return this.repository.save(nuevaHoraExcepcion)
      })
      .then(() => ({message: 'Se creo correctamente la hora excepción'}))
  }

  findById(id_hora_excepcion: number) {
    return this.repository
      .findOne({ id_hora_excepcion })
      .then((horaExcepcion) => {
        if (!horaExcepcion)
          throw new NotFoundException('No existe esta carrera-programa');
        return horaExcepcion;
      });
  }

  delete(id_hora_excepcion: number) {
    this.findById(id_hora_excepcion)
      .then(() => {
      return this.repository.delete(id_hora_excepcion)
    })
  }
}
