import {
  Column,
  Entity,
  JoinColumn,
  ManyToOne,
  OneToMany,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { Infraccion } from './infraccion.entity';
import { Institucion } from '../../institucion/entity/institucion.entity';
import { Multa } from '../../multa/entity/multa.entity';

@Entity()
export class InstitucionInfraccion {
  @PrimaryGeneratedColumn()
  id_institucion_infraccion: number;

  @Column({ type: Number, nullable: false, default: 7 })
  dias_multa: number;

  @ManyToOne(
    () => Infraccion,
    (infraccion) => infraccion.institucionInfracciones,
    { eager: true },
  )
  @JoinColumn({ name: 'id_infraccion' })
  infraccion: Infraccion;

  @ManyToOne(
    () => Institucion,
    (institucion) => institucion.institucionInfracciones,
  )
  @JoinColumn({ name: 'id_institucion' })
  institucion: Institucion;

  @OneToMany(() => Multa, (multa) => multa.institucionInfraccion)
  multas: Multa[];
}
