import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { MotivoController } from './motivo.controller';
import { MotivoService } from './motivo.service';
import { Motivo } from './entity/motivo.entity';
import { EquipoModule } from '../equipo/equipo.module';
import { OperadorModule } from '../operador/operador.module';
import { StatusModule } from '../status/status.module';

@Module({
  imports: [
    TypeOrmModule.forFeature([Motivo]),
    EquipoModule,
    OperadorModule,
    StatusModule,
  ],
  controllers: [MotivoController],
  providers: [MotivoService],
})
export class MotivoModule {}
