import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { MultaController } from './multa.controller';
import { MultaService } from './multa.service';
import { Multa } from './entity/multa.entity';
import { EquipoModule } from '../equipo/equipo.module';
import { InstitucionInfraccionModule } from '../institucion-infraccion/institucion-infraccion.module';
import { OperadorModule } from '../operador/operador.module';
import { PrestamoModule } from '../prestamo/prestamo.module';
import { UsuarioModule } from '../usuario/usuario.module';

@Module({
  imports: [
    TypeOrmModule.forFeature([Multa]),
    EquipoModule,
    InstitucionInfraccionModule,
    OperadorModule,
    PrestamoModule,
    UsuarioModule,
  ],
  controllers: [MultaController],
  providers: [MultaService],
})
export class MultaModule {}
