import {
  Column,
  Entity,
  JoinColumn,
  ManyToOne,
  OneToMany,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { Institucion } from '../../institucion/entity/institucion.entity';
import { Motivo } from '../../motivo/entity/motivo.entity';
import { Prestamo } from '../../prestamo/entity/prestamo.entity';
import { TipoUsuario } from '../../tipo-usuario/entity/tipo-usuario.entity';

@Entity()
export class Operador {
  @PrimaryGeneratedColumn()
  id_operador: number;

  @Column({ type: Boolean, nullable: false, default: false })
  activo: boolean;

  @Column({ type: String, nullable: false, length: 50 })
  operador: string;

  @Column({ type: String, nullable: false, length: 60 })
  password: string;

  @ManyToOne(() => Institucion, (institucion) => institucion.operadores, {
    eager: true,
  })
  @JoinColumn({ name: 'id_institucion' })
  institucion: Institucion;

  @ManyToOne(() => TipoUsuario, (tipoUsuario) => tipoUsuario.operadores, {
    eager: true,
  })
  @JoinColumn({ name: 'id_tipo_usuario' })
  tipoUsuario: TipoUsuario;

  @OneToMany(() => Prestamo, (prestamo) => prestamo.operadorEntrega)
  prestamosOperadorEntrega: Prestamo[];

  @OneToMany(() => Prestamo, (prestamo) => prestamo.operadorRegreso)
  prestamosOperadorRegreso: Prestamo[];

  @OneToMany(() => Motivo, (motivo) => motivo.operador)
  motivos: Motivo[];
}
