import { Injectable, NotFoundException } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { Prestamo } from './entity/prestamo.entity';

@Injectable()
export class PrestamoService {
  constructor(
    @InjectRepository(Prestamo) private repository: Repository<Prestamo>,
  ) {}

  findById(id_prestamo: number) {
    return this.repository.findOne({ id_prestamo }).then((prestamo) => {
      if (!prestamo) throw new NotFoundException('No existe este préstamo.');
      return prestamo;
    });
  }
}
