import { Body, Controller, Get, Post, Query } from '@nestjs/common';
import { ProgramaService } from './programa.service';
import { ProgramaCreateDto } from './dto/programa-create.dto';
import { ProgramaDto } from './dto/programa.dto'

@Controller('programa')
export class ProgramaController {
  constructor(private programaService: ProgramaService) {}

  @Post()
  create(@Body() body: ProgramaCreateDto) {
    return this.programaService.create(body.programa);
  }

  @Get()
  get() {
    return this.programaService.findAll();
  }

  @Get('programa')
  programa(@Query() query: ProgramaDto) {
    return this.programaService.findById(Number(query.id_programa))
  }
}
