import {
  ConflictException,
  Injectable,
  NotFoundException,
} from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { TipoUsuario } from './entity/tipo-usuario.entity';

@Injectable()
export class TipoUsuarioService {
  constructor(
    @InjectRepository(TipoUsuario) private repository: Repository<TipoUsuario>,
  ) {}

  create(tipo_usuario: string) {
    return this.repository
      .findOne({ tipo_usuario })
      .then((existeTipoUsuario) => {
        if (existeTipoUsuario)
          throw new ConflictException('Ya existe este tipo usuario');
        return this.repository.save(this.repository.create({ tipo_usuario }));
      })
      .then((_) => ({ message: 'Se creo correctamente el tipo usuario.' }));
  }

  findAll() {
    return this.repository.find();
  }

  findById(id_tipo_usuario: number) {
    return this.repository.findOne({ id_tipo_usuario }).then((tipoUsuario) => {
      if (!tipoUsuario)
        throw new NotFoundException('No existe este tipo usuairo');
      return tipoUsuario;
    });
  }
}
